Get a payable register by ID
https://api.propexo.com/v1/payable-registers/:payable_register_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the payable register
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the financial account from the integration vendor
The external ID of the cash financial account from the integration vendor
The external ID of the AP financial account from the integration vendor
The external ID of the vendor from the integration vendor
The external ID of the associated batch
The amount due on the payable register, in cents
100000The amount paid on the payable register, in cents
100000custom_data object | nullrequired
The due date associated with the payable register
The discount, in cents, of the payable register
100000The date a discount was issued on payable register
The date the payable register was issued
The reference number for the payable register
Notes associated with the payable register
The date the payable register was posted. Some PMS systems only show the month.
The month the payable register was posted.
The raw post status associated with the payable register
The sub total amount of the payable register
100000The amount of the payable register, in cents
100000The status associated with the payable register
Whether the payable register is unpaid or not
Whether the payable register is an adjustment or not
Whether the payable register is a credit memo or not
Whether the payable register is exempt from a 1099 or not
The display type of the payable register
The expense type of the payable register
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The Propexo unique identifier for the cash financial account
The Propexo unique identifier for the ap financial account
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTpayable_register_items object[]required
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the financial account from the integration vendor
The external ID of the cash financial account from the integration vendor
The Propexo unique identifier for the payable register
The Propexo unique identifier for the construction job
The amount due on the payable register item, in cents
100000Notes associated with the payable register item
The amount of the payable register item, in cents
100000The cost code of the payable register item
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The Propexo unique identifier for the cash financial account
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/payable-registers/:payable_register_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_financial_account_id": "string",
"x_cash_financial_account_id": "string",
"x_ap_financial_account_id": "string",
"x_vendor_id": "string",
"x_batch_id": "string",
"amount_due_in_cents": 100000,
"amount_paid_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"due_date": "string",
"discount_amount_in_cents": 100000,
"discount_date": "string",
"invoice_date": "string",
"invoice_number": "string",
"notes": "string",
"post_date": "string",
"post_month": "string",
"post_status_raw": "string",
"sub_total_amount_in_cents": 100000,
"total_amount_in_cents": 100000,
"status": "string",
"is_unpaid": true,
"is_adjustment": true,
"is_credit_memo": true,
"is_exempt_from_1099": true,
"display_type": "string",
"expense_type": "string",
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"payable_register_items": [
{
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_gl_account_id": "string",
"x_cash_financial_account_id": "string",
"payable_register_id": "string",
"construction_job_id": "string",
"amount_due_in_cents": 100000,
"notes": "string",
"total_amount_in_cents": 100000,
"cost_code": "string",
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string"
}
]
}
}